> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers by Tag

> Retrieve a list of customers associated with a specific tag in their metadata. Requires `tag` query parameter. Authentication is done using the `x-store-id` header.



## OpenAPI

````yaml /api-reference/growth-api.json get /audience/tags
openapi: 3.0.0
info:
  title: Growth API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
paths:
  /audience/tags:
    get:
      tags:
        - Audience
      summary: List Customers by Tag
      description: >-
        Retrieve a list of customers associated with a specific tag in their
        metadata. Requires `tag` query parameter. Authentication is done using
        the `x-store-id` header.
      parameters:
        - name: tag
          in: query
          description: Tag to filter customers.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of customers with the specified tag.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaggedCustomersList'
      security:
        - storeIdHeader: []
components:
  schemas:
    TaggedCustomersList:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: integer
            page:
              type: integer
            limit:
              type: integer
            has_more:
              type: boolean
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              email:
                type: string
              created_at:
                type: string
                format: date-time
              metadata:
                type: object
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````